libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_info_blocksize

declared in "vorbis/codec.h";

This function gets the possible sizes for encoded blocks. There are short blocks (zo = 0) and long blocks (zo = 1). The size of a long block is guaranteed to be greater than or equal to the size of a short block.

    extern int      vorbis_info_blocksize(vorbis_info *vi,int zo);

### Parameters

vi
  Pointer to the vorbis_info struct.
zo
  Integer for which block size to get: 0 for short and 1 for long

### Return Values

> - A positive integer for the block size.
> - -1 on error.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101